JXimc.status_t
Date: 2026-02-11

ru.ximc.libximc

## Class JXimc.status_t

- java.lang.Object
- - ru.ximc.libximc.JXimc.status_t

- Enclosing class:
    JXimc

      public static class JXimc.status_t
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `CmdBufFreeSpace`
    `int` | `CurPosition`
    `int` | `CurSpeed`
    `short` | `CurT`
    `long` | `EncPosition`
    `byte` | `EncSts`
    `int` | `Flags`
    `int` | `GPIOFlags`
    `short` | `Ipwr`
    `short` | `Iusb`
    `byte` | `MoveSts`
    `byte` | `MvCmdSts`
    `byte` | `PWRSts`
    `short` | `uCurPosition`
    `short` | `uCurSpeed`
    `short` | `Upwr`
    `short` | `Uusb`
    `byte` | `WindSts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `status_t()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MoveSts

          public byte MoveSts

    - #### MvCmdSts

          public byte MvCmdSts

    - #### PWRSts

          public byte PWRSts

    - #### EncSts

          public byte EncSts

    - #### WindSts

          public byte WindSts

    - #### CurPosition

          public int CurPosition

    - #### uCurPosition

          public short uCurPosition

    - #### EncPosition

          public long EncPosition

    - #### CurSpeed

          public int CurSpeed

    - #### uCurSpeed

          public short uCurSpeed

    - #### Ipwr

          public short Ipwr

    - #### Upwr

          public short Upwr

    - #### Iusb

          public short Iusb

    - #### Uusb

          public short Uusb

    - #### CurT

          public short CurT

    - #### Flags

          public int Flags

    - #### GPIOFlags

          public int GPIOFlags

    - #### CmdBufFreeSpace

          public byte CmdBufFreeSpace

  - ### Constructor Detail

    - #### status_t

          public status_t()